This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 772258 - dhclient-script writes yp.conf ignoring superseded options
dhclient-script writes yp.conf ignoring superseded options
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-06 10:58 EST by Ben Hutchings
Modified: 2013-02-13 10:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:12:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Hutchings 2012-01-06 10:58:23 EST
Description of problem:
The DHCP server in this environment says to broadcast requests to NIS servers, which results in the following being written to yp.conf:

    # generated by /sbin/dhclient-script
    domain my.domain broadcast

For some reason this doesn't work, but that's not the bug I'm reporting now.  I should be able to override this by putting these options in dhclient.conf:

    interface "eth0" {
        supersede nis-domain "my.domain";
        supersede nis-servers "server.my.domain";
        ...
    }

However, yp.conf still gets overwritten with the 'broadcast' configuration.  I had to use 'chattr +i' to protect it.

Version-Release number of selected component (if applicable):
dhclient-4.2.3-4.P1.fc16.x86_64

How reproducible:
always

Steps to Reproduce:
1. Configure DHCP server to specify NIS broadcast
2. Configure dhclient with the above 'supersede' options
3. Restart network service
  
Actual results:
yp.conf is set to the server-specified NIS configuration.

Expected results:
yp.conf is written according to the superseding options, something like:

    # generated by /sbin/dhclient-script
    domain my.domain server server.my.domain

Additional info:
Comment 1 Jiri Popelka 2012-01-06 11:46:16 EST
Hmmm, strange.

Does superseding some other option (for example domain-name-servers) work ?
Comment 2 Ben Hutchings 2012-01-06 13:21:58 EST
(In reply to comment #1)
> Hmmm, strange.
> 
> Does superseding some other option (for example domain-name-servers) work ?

I thought it did because I have:

    interface "eth0" {
        ...
        append domain-search "my.other.domain";
    }

However, adding another 'supsersede' line doesn't work.  I suspect that
/etc/dhcp/dhclient.conf is now being entirely ignored in favour of the Network Manager configuration.  But I have no idea how I would set arbitrary DHCP options for Network Manager, or where this is documented.

Perhaps this is a doc-bug?
Comment 3 Fedora End Of Life 2013-01-16 09:12:09 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 10:12:34 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.